pidgin的安装

需要的安装文件:
    pidgin2.1.1 源代码压缩包,可从http://www.pidgin.im/ 官方网站上
    nspr-4.4.1
    nss-3.9

安装过程:
    cd %pidgin_dir%
    为了让pidgin支持msn,需要用到nspr和nss这两个lib库下面设置一下相关的参数和配置
    ./configure --help,查看相关的nspr和nss的设置参数
    ./configure --with-nspr-includes=/path/to/nspr/include --with-nspr-libs=/path/to/nspr/lib --with-nss-includes=/path/to/nss/include --with-nss-libs=/path/to/nss/lib
    make
    make install

完成之后,在桌面上建立快捷方式,command是pidgin,快捷图标可以使用/usr/local/share/icons/hicolor/48x48/apps/pidgin.png这个
    系统默认的一些配置文件和数据文件存放在~/.purple下
阅读更多
相关热词
换一批

安装pidgin

11-27

心血来潮,想装个pidgin体验一下,于是,下载pidgin-2.3.0,解压后,进入目录,执行./configure,提示没有perl module XML::parser,于是,网上找到这个包,用perl安装新包的方法,rn[marco.chan@Fedora7 XML-Parser-2.34]$ perl Makefile.PL (编译过程)npWLinux联盟rn[marco.chan@Fedora7 XML-Parser-2.34]$ makenpWLinux联盟rn[marco.chan@Fedora7 XML-Parser-2.34]$ make test (这一步非必须的)npWLinux联盟rn[marco.chan@Fedora7 XML-Parser-2.34]$make installrn完成有,重新开始执行./configure,又有错误提示rnThe msgfmt command is required to build libpurple. If it is installedrnon your system, ensure that it is in your path. If it is not, installrnGNU gettext to continue.rnrnIf you have msgfmt installed, but for some reason this error messagernis still displayed, you have encountered what appears to be a bug inrnthird-party configure macros. Try setting the MSGFMT environmentrnvariable to the absolute path to your msgfmt binary and tryingrnconfigure again, like this:rnrnMSGFMT=/path/to/msgfmt ./configure ...rnrn网上查了,原来用下面的命令安装一个软件后可以解决,rn在终端下输入sudo apt-get install gettext安装rn现在应该可以了吧,再次执行./configurern还是不行,又缺少libxml2在下面这个网站上搜索rnhttp://www.debian.org/distrib/packages(这是个文件包很全的网站,呵呵)rn下载了一个libxml2-dev_2.6.27.dfsg-1_i386.deb,安装rn终于配置成功了,开始make,这是屏幕上开始出现乱七八糟的文字呵呵,现在没心情仔细看是什么。rn终于结束,make install(安装)rnmake clean(清理编译产生的中间文件)rnrn输入pidgin,出来了rn

没有更多推荐了,返回首页